[mythtv-users] python 3.11

James Linder jam at tigger.ws
Tue Dec 19 05:12:19 UTC 2023


GiDay
Over the years python has consistently bitten me so I shun it like plague, and consequently know very little about it.

I’m trying to build myth master on openSuSE Leap 15.5. The gcc is 7 so I upgraded to 13, python is 3.6 so I added 3.11. Their 3.11 does not have a MySQLdb. So I did a quick build on lubuntu 23.10 and went spulunking. They have

jam at iceberg:~/ansible$ dpkg -L python3-mysqldb
/.
/usr
/usr/lib
/usr/lib/python3
/usr/lib/python3/dist-packages
/usr/lib/python3/dist-packages/MySQLdb
/usr/lib/python3/dist-packages/MySQLdb/__init__.py
/usr/lib/python3/dist-packages/MySQLdb/_exceptions.py
/usr/lib/python3/dist-packages/MySQLdb/_mysql.cpython-311-x86_64-linux-gnu.so
/usr/lib/python3/dist-packages/MySQLdb/compat.py
/usr/lib/python3/dist-packages/MySQLdb/connections.py
/usr/lib/python3/dist-packages/MySQLdb/constants
/usr/lib/python3/dist-packages/MySQLdb/constants/CLIENT.py
/usr/lib/python3/dist-packages/MySQLdb/constants/CR.py
/usr/lib/python3/dist-packages/MySQLdb/constants/ER.py
/usr/lib/python3/dist-packages/MySQLdb/constants/FIELD_TYPE.py
/usr/lib/python3/dist-packages/MySQLdb/constants/FLAG.py
/usr/lib/python3/dist-packages/MySQLdb/constants/__init__.py
/usr/lib/python3/dist-packages/MySQLdb/converters.py
/usr/lib/python3/dist-packages/MySQLdb/cursors.py
/usr/lib/python3/dist-packages/MySQLdb/release.py
/usr/lib/python3/dist-packages/MySQLdb/times.py
/usr/lib/python3/dist-packages/mysqlclient-1.4.6.egg-info
/usr/lib/python3/dist-packages/mysqlclient-1.4.6.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/mysqlclient-1.4.6.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/mysqlclient-1.4.6.egg-info/top_level.txt
/usr/share
/usr/share/doc
/usr/share/doc/python3-mysqldb
/usr/share/doc/python3-mysqldb/FAQ.rst.gz
/usr/share/doc/python3-mysqldb/MySQLdb.rst
/usr/share/doc/python3-mysqldb/README.md
/usr/share/doc/python3-mysqldb/changelog.Debian.gz
/usr/share/doc/python3-mysqldb/copyright

Can I clone that in /usr/lib/python3.11/site-packages/ (they have only python3.6 and python3.11)

Thanks
James

PS It is a long story that started with jims instructions for endevourOS, but endevourOS won’t play with nomachine and lxqt.


More information about the mythtv-users mailing list